VERSION 5
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "XC9500"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    End ATTR
    BEGIN NETLIST
        SIGNAL RS3
        SIGNAL RS2
        SIGNAL RS1
        SIGNAL RS0
        SIGNAL IO_Select
        SIGNAL Mode_416
        SIGNAL Mode_2Reg
        SIGNAL Mode_Cal
        SIGNAL E
        SIGNAL SS30_D(7:0)
        SIGNAL From_FDC(7:0)
        SIGNAL To_SS30(7:0)
        SIGNAL Timer_Select
        SIGNAL Reg2_Select
        SIGNAL Reg1_Select
        SIGNAL RW
        SIGNAL PulseIn
        SIGNAL Count(7:0)
        SIGNAL DS_INH
        SIGNAL DS0
        SIGNAL DS1
        SIGNAL Drive3
        SIGNAL Drive2
        SIGNAL Drive1
        SIGNAL Motor_On
        SIGNAL Mode_35Disk
        SIGNAL Motor
        SIGNAL Osc
        SIGNAL Reset
        SIGNAL Osc12
        SIGNAL Osc20
        SIGNAL Five_Eight
        SIGNAL Side_Select
        SIGNAL DD_Ena
        SIGNAL FDC_OE
        SIGNAL CTRL_Select
        SIGNAL DRQ
        SIGNAL INTRQ
        SIGNAL FDC_Select
        SIGNAL SS30_OE
        SIGNAL SSO
        SIGNAL RE
        SIGNAL WE
        SIGNAL CS_FDC
        SIGNAL DDEN
        SIGNAL MR_Timer
        SIGNAL FDC_Clk
        SIGNAL FDC_D(7:0)
        SIGNAL A1
        SIGNAL A0
        SIGNAL From_SS30(7:0)
        SIGNAL Drive0
        SIGNAL IRQ
        PORT Input RS3
        PORT Input RS2
        PORT Input RS1
        PORT Input RS0
        PORT Input IO_Select
        PORT Input Mode_416
        PORT Input Mode_2Reg
        PORT Input Mode_Cal
        PORT Input E
        PORT BiDirectional SS30_D(7:0)
        PORT Input RW
        PORT Input PulseIn
        PORT Input Mode_35Disk
        PORT Input Motor
        PORT Output Drive3
        PORT Output Drive2
        PORT Output Drive1
        PORT Output Motor_On
        PORT Input Reset
        PORT Output Side_Select
        PORT Output Five_Eight
        PORT Input DRQ
        PORT Input INTRQ
        PORT Input SSO
        PORT Output RE
        PORT Output WE
        PORT Output CS_FDC
        PORT Output DDEN
        PORT Output MR_Timer
        PORT Output FDC_Clk
        PORT BiDirectional FDC_D(7:0)
        PORT Input Osc
        PORT Output A1
        PORT Output A0
        PORT Output Drive0
        PORT Output IRQ
        BEGIN BLOCKDEF clockgen
            TIMESTAMP 2001 11 11 13 32 31
            RECTANGLE N 64 -256 380 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 384 -224 448 -224 
        END BLOCKDEF
        BEGIN BLOCKDEF controlreg
            TIMESTAMP 2001 11 11 14 46 10
            RECTANGLE N 64 -512 384 0 
            LINE N 64 -416 0 -416 
            LINE N 64 -480 0 -480 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 384 -32 448 -32 
            LINE N 384 -416 448 -416 
            LINE N 384 -160 448 -160 
            LINE N 384 -96 448 -96 
            LINE N 384 -480 448 -480 
            LINE N 384 -352 448 -352 
            LINE N 384 -224 448 -224 
            LINE N 384 -288 448 -288 
        END BLOCKDEF
        BEGIN BLOCKDEF datamux
            TIMESTAMP 2001 11 12 19 43 29
            RECTANGLE N 64 -320 380 0 
            LINE N 448 -96 384 -96 
            LINE N 448 -32 384 -32 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -32 0 -32 
            LINE N 64 -96 0 -96 
            LINE N 448 -288 384 -288 
            RECTANGLE N 384 -300 448 -276 
            LINE N 448 -224 384 -224 
            RECTANGLE N 384 -236 448 -212 
            LINE N 0 -288 64 -288 
            RECTANGLE N 0 -300 64 -276 
            LINE N 448 -160 380 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF driveselect
            TIMESTAMP 2001 11 11 13 28 57
            RECTANGLE N 64 -320 384 0 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -32 0 -32 
            LINE N 64 -96 0 -96 
            LINE N 384 -288 448 -288 
            LINE N 384 -224 448 -224 
            LINE N 384 -160 448 -160 
            LINE N 384 -96 448 -96 
            LINE N 384 -32 448 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF io_bidir
            TIMESTAMP 2001 11 10 11 27 36
            RECTANGLE N 64 -192 384 0 
            LINE N 64 -96 0 -96 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -172 64 -148 
            LINE N 0 -32 64 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 384 -96 448 -96 
            RECTANGLE N 384 -108 448 -84 
            LINE N 240 -160 176 -160 
            LINE N 240 -144 240 -176 
            LINE N 240 -144 272 -160 
            LINE N 272 -160 240 -176 
            LINE N 272 -160 320 -160 
            LINE N 320 -160 320 -108 
            LINE N 272 -48 272 -16 
            LINE N 272 -48 240 -32 
            LINE N 272 -16 240 -32 
            LINE N 240 -32 200 -32 
            LINE N 256 -40 256 -96 
            LINE N 256 -96 176 -96 
            LINE N 272 -32 320 -32 
            LINE N 320 -80 320 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF timer
            TIMESTAMP 2001 11 11 13 29 51
            RECTANGLE N 64 -320 384 0 
            LINE N 64 -32 0 -32 
            LINE N 64 -288 0 -288 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -224 0 -224 
            LINE N 384 -288 448 -288 
            RECTANGLE N 384 -300 448 -276 
        END BLOCKDEF
        BEGIN BLOCKDEF fdc_ctrl
            TIMESTAMP 2001 11 12 19 46 48
            RECTANGLE N 64 -448 384 0 
            LINE N 64 -416 0 -416 
            LINE N 64 -352 0 -352 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -224 0 -224 
            LINE N 64 -32 0 -32 
            LINE N 448 -352 384 -352 
            LINE N 384 -32 448 -32 
            LINE N 384 -224 448 -224 
            LINE N 384 -288 448 -288 
            LINE N 384 -160 448 -160 
            LINE N 384 -96 448 -96 
            LINE N 64 -288 -4 -288 
            LINE N 384 -416 448 -416 
        END BLOCKDEF
        BEGIN BLOCKDEF addrdecode
            TIMESTAMP 2001 11 17 21 11 28
            RECTANGLE N 64 -512 384 0 
            LINE N 64 -480 0 -480 
            LINE N 64 -416 0 -416 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 384 -352 448 -352 
            LINE N 384 -416 448 -416 
            LINE N 388 -224 448 -224 
            LINE N 384 -288 448 -288 
            LINE N 384 -480 448 -480 
            LINE N 388 -160 448 -160 
            LINE N 384 -96 448 -96 
        END BLOCKDEF
        BEGIN BLOCK U4 clockgen
            PIN Osc12 Osc12
            PIN Osc20 Osc20
            PIN Osc Osc
            PIN Reset Reset
            PIN FDC_Clk FDC_Clk
        END BLOCK
        BEGIN BLOCK U5 datamux
            PIN DRQ DRQ
            PIN INTRQ INTRQ
            PIN FDC_Select FDC_Select
            PIN Timer_Select Timer_Select
            PIN Reg2_Select Reg2_Select
            PIN Reg1_Select Reg1_Select
            PIN DataIn(7:0) From_FDC(7:0)
            PIN CountIn(7:0) Count(7:0)
            PIN DataOut(7:0) To_SS30(7:0)
            PIN IRQ IRQ
        END BLOCK
        BEGIN BLOCK U10 io_bidir
            PIN Enable FDC_OE
            PIN IN8(7:0) From_SS30(7:0)
            PIN OUT8(7:0) From_FDC(7:0)
            PIN BI8(7:0) FDC_D(7:0)
        END BLOCK
        BEGIN BLOCK U9 io_bidir
            PIN Enable SS30_OE
            PIN IN8(7:0) To_SS30(7:0)
            PIN OUT8(7:0) From_SS30(7:0)
            PIN BI8(7:0) SS30_D(7:0)
        END BLOCK
        BEGIN BLOCK U2 controlreg
            PIN Reg1_Select Reg1_Select
            PIN Reg2_Select Reg2_Select
            PIN RW RW
            PIN E E
            PIN Reset Reset
            PIN Data(7:0) From_SS30(7:0)
            PIN DS_INH DS_INH
            PIN Side_Sel Side_Select
            PIN DS1 DS1
            PIN DS0 DS0
            PIN DD_Ena DD_Ena
            PIN FiveOr8 Five_Eight
            PIN Osc20 Osc20
            PIN Osc12 Osc12
        END BLOCK
        BEGIN BLOCK U8 timer
            PIN Osc Osc
            PIN Timer_Select Timer_Select
            PIN RW RW
            PIN PulseIn PulseIn
            PIN Reset Reset
            PIN Count(7:0) Count(7:0)
        END BLOCK
        BEGIN BLOCK U1 addrdecode
            PIN RS3 RS3
            PIN RS2 RS2
            PIN RS1 RS1
            PIN RS0 RS0
            PIN IO_Select IO_Select
            PIN Mode_416 Mode_416
            PIN Mode_2Reg Mode_2Reg
            PIN Mode_Cal Mode_Cal
            PIN FDC_Select FDC_Select
            PIN CTRL_Select CTRL_Select
            PIN Reg1_Select Reg1_Select
            PIN Reg2_Select Reg2_Select
            PIN Timer_Select Timer_Select
            PIN A1 A1
            PIN A0 A0
        END BLOCK
        BEGIN BLOCK U6 fdc_ctrl
            PIN E E
            PIN RW RW
            PIN FDC_Select FDC_Select
            PIN CTRL_Select CTRL_Select
            PIN Mode_2Reg Mode_2Reg
            PIN DD_Ena DD_Ena
            PIN SSO SSO
            PIN MR_Timer MR_Timer
            PIN WE WE
            PIN RE RE
            PIN CS_FDC CS_FDC
            PIN DDEN DDEN
            PIN FDC_OE FDC_OE
            PIN SS30_OE SS30_OE
        END BLOCK
        BEGIN BLOCK U7 driveselect
            PIN DS1 DS1
            PIN DS0 DS0
            PIN DS_INH DS_INH
            PIN Motor Motor
            PIN Mode_35Disk Mode_35Disk
            PIN Drive3 Drive3
            PIN Drive2 Drive2
            PIN Drive1 Drive1
            PIN Drive0 Drive0
            PIN Motor_On Motor_On
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 2720 1760
        BEGIN INSTANCE U9 784 272 M0
        END INSTANCE
        BEGIN BRANCH SS30_D(7:0)
            WIRE 224 176 240 176
            WIRE 240 176 320 176
            WIRE 320 176 336 176
        END BRANCH
        IOMARKER 224 176 SS30_D(7:0)
        BEGIN BRANCH From_FDC(7:0)
            WIRE 1568 368 1600 368
            WIRE 1600 288 1600 368
            WIRE 1600 288 1728 288
            WIRE 1728 288 2016 288
            BEGIN DISPLAY 1728 288 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH To_SS30(7:0)
            WIRE 784 112 880 112
            WIRE 880 112 1040 112
            WIRE 1040 112 1040 368
            WIRE 1040 368 1104 368
            WIRE 1104 368 1120 368
            BEGIN DISPLAY 880 112 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RS3
            WIRE 272 432 288 432
            WIRE 288 432 320 432
        END BRANCH
        BEGIN BRANCH RS2
            WIRE 272 496 288 496
            WIRE 288 496 320 496
        END BRANCH
        BEGIN BRANCH RS1
            WIRE 272 560 288 560
            WIRE 288 560 320 560
        END BRANCH
        BEGIN BRANCH RS0
            WIRE 272 624 288 624
            WIRE 288 624 320 624
        END BRANCH
        BEGIN BRANCH IO_Select
            WIRE 272 688 288 688
            WIRE 288 688 320 688
        END BRANCH
        BEGIN BRANCH Mode_416
            WIRE 272 752 288 752
            WIRE 288 752 304 752
            WIRE 304 752 320 752
        END BRANCH
        BEGIN BRANCH Mode_2Reg
            WIRE 272 816 288 816
            WIRE 288 816 320 816
        END BRANCH
        BEGIN BRANCH Mode_Cal
            WIRE 272 880 288 880
            WIRE 288 880 320 880
        END BRANCH
        IOMARKER 272 432 RS3
        IOMARKER 272 496 RS2
        IOMARKER 272 560 RS1
        IOMARKER 272 624 RS0
        IOMARKER 272 688 IO_Select
        IOMARKER 272 752 Mode_416
        IOMARKER 272 880 Mode_Cal
        IOMARKER 272 816 Mode_2Reg
        BEGIN BRANCH FDC_Select
            WIRE 768 432 1008 432
            WIRE 1008 432 1104 432
            WIRE 1104 432 1120 432
            BEGIN DISPLAY 1008 432 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE U5 1120 656 R0
        END INSTANCE
        BEGIN BRANCH E
            WIRE 256 1152 272 1152
            WIRE 272 1152 1104 1152
            WIRE 1104 1152 1120 1152
        END BRANCH
        BEGIN INSTANCE U8 1120 1712 R0
        END INSTANCE
        BEGIN BRANCH Reg2_Select
            WIRE 768 624 944 624
            WIRE 944 624 944 832
            WIRE 944 832 1120 832
            WIRE 944 624 1008 624
            WIRE 1008 624 1120 624
            BEGIN DISPLAY 1008 624 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Reg1_Select
            WIRE 768 560 912 560
            WIRE 912 560 912 896
            WIRE 912 896 1120 896
            WIRE 912 560 1008 560
            WIRE 1008 560 1120 560
            BEGIN DISPLAY 1008 560 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 256 1152 E
        BEGIN BRANCH Reset
            WIRE 272 1216 720 1216
            WIRE 720 1216 1120 1216
            WIRE 720 1216 720 1488
            WIRE 720 1488 1120 1488
        END BRANCH
        BEGIN BRANCH RW
            WIRE 256 1088 640 1088
            WIRE 640 1088 1120 1088
            WIRE 640 1088 640 1552
            WIRE 640 1552 1120 1552
        END BRANCH
        BEGIN BRANCH PulseIn
            WIRE 288 1616 304 1616
            WIRE 304 1616 1104 1616
            WIRE 1104 1616 1120 1616
        END BRANCH
        IOMARKER 256 1088 RW
        IOMARKER 272 1216 Reset
        IOMARKER 288 1616 PulseIn
        BEGIN INSTANCE U1 320 912 R0
        END INSTANCE
        BEGIN BRANCH Count(7:0)
            WIRE 1568 432 1760 432
            WIRE 1760 432 1760 1424
            WIRE 1568 1424 1648 1424
            WIRE 1648 1424 1760 1424
            BEGIN DISPLAY 1648 1424 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DS_INH
            WIRE 1568 1280 1792 1280
            WIRE 1792 1280 1792 1568
            WIRE 1792 1568 1968 1568
            WIRE 1968 1568 2016 1568
            BEGIN DISPLAY 1968 1568 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DS0
            WIRE 1568 1216 1824 1216
            WIRE 1824 1216 1824 1504
            WIRE 1824 1504 1968 1504
            WIRE 1968 1504 2016 1504
            BEGIN DISPLAY 1968 1504 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DS1
            WIRE 1568 1152 1856 1152
            WIRE 1856 1152 1856 1440
            WIRE 1856 1440 1968 1440
            WIRE 1968 1440 2016 1440
            BEGIN DISPLAY 1968 1440 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Drive3
            WIRE 2464 1440 2480 1440
            WIRE 2480 1440 2496 1440
            WIRE 2496 1440 2512 1440
        END BRANCH
        BEGIN BRANCH Drive2
            WIRE 2464 1504 2480 1504
            WIRE 2480 1504 2496 1504
            WIRE 2496 1504 2512 1504
        END BRANCH
        BEGIN BRANCH Drive1
            WIRE 2464 1568 2480 1568
            WIRE 2480 1568 2496 1568
            WIRE 2496 1568 2512 1568
        END BRANCH
        BEGIN BRANCH Motor_On
            WIRE 2464 1696 2480 1696
            WIRE 2480 1696 2496 1696
            WIRE 2496 1696 2512 1696
        END BRANCH
        BEGIN BRANCH Mode_35Disk
            WIRE 1920 1632 1936 1632
            WIRE 1936 1632 2016 1632
        END BRANCH
        BEGIN BRANCH Motor
            WIRE 1920 1696 1936 1696
            WIRE 1936 1696 2016 1696
        END BRANCH
        IOMARKER 1920 1632 Mode_35Disk
        IOMARKER 1920 1696 Motor
        BEGIN INSTANCE U2 1120 1312 R0
        END INSTANCE
        BEGIN BRANCH Osc
            WIRE 1984 1216 2000 1216
            WIRE 2000 1216 2016 1216
            BEGIN DISPLAY 1984 1216 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Reset
            WIRE 1984 1280 2000 1280
            WIRE 2000 1280 2016 1280
            BEGIN DISPLAY 1984 1280 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Osc12
            WIRE 1568 1024 1584 1024
            WIRE 1584 1024 1616 1024
            WIRE 1616 1024 1952 1024
            WIRE 1952 1024 1952 1088
            WIRE 1952 1088 2000 1088
            WIRE 2000 1088 2016 1088
            BEGIN DISPLAY 1616 1024 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Osc20
            WIRE 1568 1088 1584 1088
            WIRE 1584 1088 1616 1088
            WIRE 1616 1088 1920 1088
            WIRE 1920 1088 1920 1152
            WIRE 1920 1152 2000 1152
            WIRE 2000 1152 2016 1152
            BEGIN DISPLAY 1616 1088 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Five_Eight
            WIRE 1568 960 1584 960
            WIRE 1584 960 2480 960
            WIRE 2480 960 2496 960
        END BRANCH
        BEGIN BRANCH Side_Select
            WIRE 1568 896 1584 896
            WIRE 1584 896 2480 896
            WIRE 2480 896 2496 896
        END BRANCH
        BEGIN INSTANCE U10 2016 320 R0
        END INSTANCE
        BEGIN BRANCH DD_Ena
            WIRE 1568 832 1584 832
            WIRE 1584 832 1632 832
            WIRE 1632 832 2016 832
            BEGIN DISPLAY 1632 832 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH FDC_OE
            WIRE 1856 224 2016 224
            WIRE 1856 224 1856 448
            WIRE 1856 448 1936 448
            WIRE 1936 448 2016 448
            BEGIN DISPLAY 1936 448 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE U6 2016 864 R0
        END INSTANCE
        BEGIN BRANCH CTRL_Select
            WIRE 768 688 1536 688
            WIRE 1536 688 1536 768
            WIRE 1536 768 1648 768
            WIRE 1648 768 2016 768
            BEGIN DISPLAY 1648 768 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DRQ
            WIRE 1568 560 1584 560
            WIRE 1584 560 1600 560
            WIRE 1600 560 1616 560
        END BRANCH
        BEGIN BRANCH INTRQ
            WIRE 1568 624 1584 624
            WIRE 1584 624 1600 624
            WIRE 1600 624 1616 624
        END BRANCH
        BEGIN BRANCH RW
            WIRE 1984 512 2000 512
            WIRE 2000 512 2016 512
            BEGIN DISPLAY 1984 512 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH E
            WIRE 1984 576 2000 576
            WIRE 2000 576 2016 576
            BEGIN DISPLAY 1984 576 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Mode_2Reg
            WIRE 1984 640 2000 640
            WIRE 2000 640 2016 640
            BEGIN DISPLAY 1984 640 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH FDC_Select
            WIRE 1984 704 2000 704
            WIRE 2000 704 2016 704
            BEGIN DISPLAY 1984 704 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        IOMARKER 1616 560 DRQ
        IOMARKER 1616 624 INTRQ
        BEGIN BRANCH SS30_OE
            WIRE 2464 448 2480 448
            WIRE 2480 448 2496 448
            DISPLAY 2496 448 ATTR Name
        END BRANCH
        BEGIN BRANCH SSO
            WIRE 2464 512 2480 512
            WIRE 2480 512 2496 512
        END BRANCH
        BEGIN BRANCH RE
            WIRE 2464 576 2480 576
            WIRE 2480 576 2496 576
        END BRANCH
        BEGIN BRANCH WE
            WIRE 2464 640 2480 640
            WIRE 2480 640 2496 640
        END BRANCH
        BEGIN BRANCH CS_FDC
            WIRE 2464 704 2480 704
            WIRE 2480 704 2496 704
        END BRANCH
        BEGIN BRANCH DDEN
            WIRE 2464 768 2480 768
            WIRE 2480 768 2496 768
        END BRANCH
        BEGIN BRANCH MR_Timer
            WIRE 2464 832 2480 832
            WIRE 2480 832 2496 832
        END BRANCH
        IOMARKER 2496 512 SSO
        IOMARKER 2496 576 RE
        IOMARKER 2496 640 WE
        IOMARKER 2496 704 CS_FDC
        IOMARKER 2496 768 DDEN
        IOMARKER 2496 832 MR_Timer
        BEGIN BRANCH FDC_Clk
            WIRE 2464 1088 2480 1088
            WIRE 2480 1088 2496 1088
        END BRANCH
        IOMARKER 2496 896 Side_Select
        IOMARKER 2496 960 Five_Eight
        BEGIN BRANCH FDC_D(7:0)
            WIRE 2464 224 2480 224
            WIRE 2480 224 2512 224
            WIRE 2512 224 2528 224
        END BRANCH
        IOMARKER 2528 224 FDC_D(7:0)
        BEGIN BRANCH Osc
            WIRE 288 1680 304 1680
            WIRE 304 1680 1104 1680
            WIRE 1104 1680 1120 1680
        END BRANCH
        IOMARKER 288 1680 Osc
        BEGIN BRANCH Timer_Select
            WIRE 768 496 832 496
            WIRE 832 496 1008 496
            WIRE 1008 496 1120 496
            BEGIN DISPLAY 1008 496 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Timer_Select
            WIRE 1072 1424 1088 1424
            WIRE 1088 1424 1120 1424
            BEGIN DISPLAY 1072 1424 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH A1
            WIRE 768 752 784 752
            WIRE 784 752 800 752
        END BRANCH
        BEGIN BRANCH A0
            WIRE 768 816 784 816
            WIRE 784 816 800 816
        END BRANCH
        BEGIN INSTANCE U4 2016 1312 R0
        END INSTANCE
        IOMARKER 800 752 A1
        IOMARKER 800 816 A0
        BEGIN BRANCH From_SS30(7:0)
            WIRE 784 240 1136 240
            WIRE 1136 160 1136 240
            WIRE 1136 160 1616 160
            WIRE 1616 160 2016 160
            BEGIN DISPLAY 1616 160 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SS30_OE
            WIRE 784 176 816 176
            WIRE 816 176 832 176
            DISPLAY 832 176 ATTR Name
        END BRANCH
        BEGIN BRANCH From_SS30(7:0)
            WIRE 976 1280 992 1280
            WIRE 992 1280 1120 1280
            BEGIN DISPLAY 976 1280 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Drive0
            WIRE 2464 1632 2480 1632
            WIRE 2480 1632 2496 1632
            WIRE 2496 1632 2512 1632
        END BRANCH
        BEGIN DISPLAY 300 988 TEXT "DC5 Floppy Disk Controller"
            FONT 36 "Arial"
        END DISPLAY
        BEGIN DISPLAY 300 1036 TEXT "Michael Holley  Nov 15, 2001"
            FONT 36 "Arial"
        END DISPLAY
        BEGIN INSTANCE U7 2016 1728 R0
        END INSTANCE
        IOMARKER 2496 1088 FDC_Clk
        IOMARKER 2512 1440 Drive3
        IOMARKER 2512 1504 Drive1
        IOMARKER 2512 1568 Drive2
        IOMARKER 2512 1632 Drive0
        IOMARKER 2512 1696 Motor_On
        BEGIN BRANCH IRQ
            WIRE 1568 496 1600 496
            WIRE 1600 496 1616 496
        END BRANCH
        IOMARKER 1616 496 IRQ
    END SHEET
END SCHEMATIC
